/*

        FDV DirectMusic Engine (header file)
        Author: Fabio Dalla Vecchia ( fvecchia@hotmail.com )
        
*/

#ifdef __cplusplus
extern "C" {
#endif

extern int FDV_Dmusic_Load_MIDI(char *filename);
extern int FDV_Dmusic_Play(int id);
extern int FDV_Dmusic_Stop(int id);
extern int FDV_Dmusic_DeInit(void);
extern int FDV_Dmusic_Delete_MIDI(int id);
extern int FDV_Dmusic_Delete_All_MIDI(void);
extern int FDV_Dmusic_Status_MIDI(int id);
extern int FDV_Dmusic_Init(void);

// Status do MIDI
#define MIDI_NULL     0   // MIDI nao carregado (Not Loaded)
#define MIDI_LOADED   1   // MIDI carregado (Loaded)
#define MIDI_PLAYING  2   // MIDI carregado e tocando (Loaded + Play)
#define MIDI_STOPPED  3   // MIDI parado (Stopped)

#ifdef __cplusplus
};
#endif